Package io.vertx.rxjava3.oracleclient

## Class OracleConnection

- java.lang.Object
- - io.vertx.rxjava3.sqlclient.SqlClient
  - - io.vertx.rxjava3.sqlclient.SqlConnection
    - - io.vertx.rxjava3.oracleclient.OracleConnection

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class OracleConnection
      extends SqlConnection
      implements io.vertx.lang.rx.RxDelegate

  A connection to Oracle Database.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<OracleConnection>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OracleConnection​(OracleConnection delegate)` |
    `OracleConnection​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OracleConnection` | `cast​(SqlConnection sqlConnection)` | Cast a to `OracleConnection`.
    `OracleConnection` | `closeHandler​(Handler<Void> handler)` | Set an handler called when the connection is closed.
    `static Single<OracleConnection>` | `connect​(Vertx vertx, OracleConnectOptions connectOptions)` | Create a connection to Oracle with the given `connectOptions`.
    `static Single<OracleConnection>` | `connect​(Vertx vertx, String connectionUri)` | Like `connect(io.vertx.rxjava3.core.Vertx, io.vertx.oracleclient.OracleConnectOptions)` with options built from `connectionUri`.
    `boolean` | `equals​(Object o)` |
    `OracleConnection` | `exceptionHandler​(Handler<Throwable> handler)` | Set an handler called with connection errors.
    `OracleConnection` | `getDelegate()` |
    `int` | `hashCode()` |
    `static OracleConnection` | `newInstance​(OracleConnection arg)` |
    `static Single<OracleConnection>` | `rxConnect​(Vertx vertx, OracleConnectOptions connectOptions)` | Create a connection to Oracle with the given `connectOptions`.
    `static Single<OracleConnection>` | `rxConnect​(Vertx vertx, String connectionUri)` | Like `connect(io.vertx.rxjava3.core.Vertx, io.vertx.oracleclient.OracleConnectOptions)` with options built from `connectionUri`.
    `String` | `toString()` |

    - ### Methods inherited from class io.vertx.rxjava3.sqlclient.SqlConnection

      `begin, databaseMetadata, isSSL, newInstance, prepare, prepare, rxBegin, rxPrepare, rxPrepare, transaction`

    - ### Methods inherited from class io.vertx.rxjava3.sqlclient.SqlClient

      `close, newInstance, preparedQuery, preparedQuery, query, rxClose`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<OracleConnection> __TYPE_ARG

  - ### Constructor Detail

    - #### OracleConnection

          public OracleConnection​(OracleConnection delegate)

    - #### OracleConnection

          public OracleConnection​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SqlConnection`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `SqlConnection`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `SqlConnection`

    - #### getDelegate

          public OracleConnection getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Overrides:
        `getDelegate` in class `SqlConnection`

    - #### connect

          public static Single<OracleConnection> connect​(Vertx vertx,
                                                         OracleConnectOptions connectOptions)

      Create a connection to Oracle with the given `connectOptions`.
      Parameters:
        `vertx` - the vertx instance
        `connectOptions` - the options for the connection
      Returns:
        a future notified with with the connection or the failure

    - #### rxConnect

          public static Single<OracleConnection> rxConnect​(Vertx vertx,
                                                           OracleConnectOptions connectOptions)

      Create a connection to Oracle with the given `connectOptions`.
      Parameters:
        `vertx` - the vertx instance
        `connectOptions` - the options for the connection
      Returns:
        a future notified with with the connection or the failure

    - #### connect

          public static Single<OracleConnection> connect​(Vertx vertx,
                                                         String connectionUri)

      Like `connect(io.vertx.rxjava3.core.Vertx, io.vertx.oracleclient.OracleConnectOptions)` with options built from `connectionUri`.
      Parameters:
        `vertx` -
        `connectionUri` -
      Returns:

    - #### rxConnect

          public static Single<OracleConnection> rxConnect​(Vertx vertx,
                                                           String connectionUri)

      Like `connect(io.vertx.rxjava3.core.Vertx, io.vertx.oracleclient.OracleConnectOptions)` with options built from `connectionUri`.
      Parameters:
        `vertx` -
        `connectionUri` -
      Returns:

    - #### exceptionHandler

          public OracleConnection exceptionHandler​(Handler<Throwable> handler)

      Description copied from class: `SqlConnection`
      Set an handler called with connection errors.
      Overrides:
        `exceptionHandler` in class `SqlConnection`
      Parameters:
        `handler` -
      Returns:

    - #### closeHandler

          public OracleConnection closeHandler​(Handler<Void> handler)

      Description copied from class: `SqlConnection`
      Set an handler called when the connection is closed.
      Overrides:
        `closeHandler` in class `SqlConnection`
      Parameters:
        `handler` -
      Returns:

    - #### cast

          public static OracleConnection cast​(SqlConnection sqlConnection)

      Cast a to `OracleConnection`.

      This is mostly useful for Vert.x generated APIs like RxJava/Mutiny.

      Parameters:
        `sqlConnection` - the connection to cast
      Returns:
        a `instance`

    - #### newInstance

          public static OracleConnection newInstance​(OracleConnection arg)